List all deposits
curl --request GET \
--url https://api.daya.co/v1/deposits \
--header 'X-Api-Key: <x-api-key>'import requests
url = "https://api.daya.co/v1/deposits"
headers = {"X-Api-Key": "<x-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Api-Key': '<x-api-key>'}};
fetch('https://api.daya.co/v1/deposits', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "7a4e8400-e29b-41d4-a716-446655440000",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"settled_amount": "9.70",
"settled_currency": "USDC",
"rate": "1545.50",
"rate_id": "rate_8x7k2mq9p",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "ONCHAIN",
"chain": "BASE",
"tx_hash": "0x8f3e2d1c0b9a8e7f6d5c4b3a2e1f0d9c8b7a6e5f4d3c2b1a",
"fees": {
"deposit_fee": { "amount": "0.05", "currency": "USD" },
"total_fee_usd": "0.05"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.25",
"currency": "USD"
},
"customer_amount": {
"amount": "9.45",
"currency": "USDC"
},
"created_at": "2026-01-14T15:06:30Z",
"updated_at": "2026-01-14T15:08:15Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
Deposits
List all deposits
List NGN and crypto deposits with optional filters
GET
/
v1
/
deposits
List all deposits
Overview
Retrieve a paginated list of deposits for the authenticated merchant. Deposits are inbound NGN and crypto funds received through funding accounts, such as NGN virtual accounts and crypto addresses.Use USD account deposits for payments into USD virtual accounts.
Authentication
string
required
Your merchant API key
Query Parameters
string
Filter by deposit typeAllowed values:
NGN_DEPOSIT | CRYPTO_DEPOSITstring
Filter by deposit statusAllowed values:
PENDING | RECEIVED | PROCESSING | REQUIRES_REVIEW | COMPLETED | FLAGGED | FAILED | REVERSEDFLAGGED is accepted for older integrations and maps to REQUIRES_REVIEW.string
Filter by exact payment reference. Only applies to NGN deposits.
string
Filter by legacy onramp ID (UUID). Only applies to migrated NGN deposits.Example:
550e8400-e29b-41d4-a716-446655440000string
Filter by legacy offramp ID (UUID). Only applies to migrated crypto deposits.Example:
550e8400-e29b-41d4-a716-446655440000string
Filter deposits created from this time (RFC 3339, inclusive).Example:
2026-01-01T00:00:00Zstring
Filter deposits created before this time (RFC 3339, exclusive).Example:
2026-01-31T23:59:59Zinteger
Results per pageDefault:
50 | Max: 200integer
Page number to retrieveDefault:
1Request Examples
curl --request GET \
--url 'https://api.daya.co/v1/deposits' \
--header 'X-Api-Key: YOUR_API_KEY'
curl --request GET \
--url 'https://api.daya.co/v1/deposits?onramp_id=550e8400-e29b-41d4-a716-446655440000' \
--header 'X-Api-Key: YOUR_API_KEY'
curl --request GET \
--url 'https://api.daya.co/v1/deposits?status=COMPLETED' \
--header 'X-Api-Key: YOUR_API_KEY'
curl --request GET \
--url 'https://api.daya.co/v1/deposits?from=2026-01-01T00:00:00Z&to=2026-01-31T23:59:59Z' \
--header 'X-Api-Key: YOUR_API_KEY'
const response = await fetch(
'https://api.daya.co/v1/deposits?status=COMPLETED&limit=50&page=1',
{
headers: {
'X-Api-Key': 'YOUR_API_KEY'
}
}
);
const data = await response.json();
Response
array
required
Array of deposit objects.
Show deposit properties
Show deposit properties
string
Unique deposit identifier (UUID).
string
Deposit type:
NGN_DEPOSIT or CRYPTO_DEPOSIT.string
Legacy onramp ID for migrated NGN deposits, when present.
string
Legacy offramp ID for migrated crypto deposits, when present.
string
Associated customer ID.
string
Amount received into Daya.
string
Deposit currency.
string
Amount delivered to the settlement destination.
string
Settlement destination currency, such as
USD for internal balance, NGN for an NGN balance or payout, or a stablecoin for onchain settlement.string
Exchange rate applied.
string
FX rate identifier used for settlement.
string
Current status:
RECEIVED, PROCESSING, REQUIRES_REVIEW, COMPLETED, FAILED, or REVERSED.string
Settlement progress.
string
Settlement mode, such as
ONCHAIN, INTERNAL_BALANCE, NGN_BALANCE, CUSTOMER_NGN_BALANCE, or NGN_PAYOUT.string
Stablecoin symbol for crypto deposits (
USDC or USDT).string
Blockchain network (for crypto deposits).
string
On-chain transaction hash (for crypto deposits).
string
Funding account that received the funds.
object
object
Merchant developer fee kept from this deposit, when configured. This is separate from Daya fees and is deducted before
customer_amount is finalized.Show developer_fee properties
Show developer_fee properties
object
string
Flag code (if flagged).
string
Flag description (if flagged).
string
Time the deposit was received.
string
Last status update time.
integer
required
Current page number.
integer
required
Results per page.
integer
required
Total number of deposits matching filters.
integer
required
Total number of pages available.
Success Response
{
"data": [
{
"id": "7a4e8400-e29b-41d4-a716-446655440000",
"type": "NGN_DEPOSIT",
"funding_account_id": "6b0e8400-e29b-41d4-a716-446655440000",
"onramp_id": "550e8400-e29b-41d4-a716-446655440000",
"customer_id": "650e8400-e29b-41d4-a716-446655440000",
"amount": "15000.00",
"currency": "NGN",
"settled_amount": "9.70",
"settled_currency": "USDC",
"rate": "1545.50",
"rate_id": "rate_8x7k2mq9p",
"status": "COMPLETED",
"settlement_status": "COMPLETED",
"settlement_mode": "ONCHAIN",
"chain": "BASE",
"tx_hash": "0x8f3e2d1c0b9a8e7f6d5c4b3a2e1f0d9c8b7a6e5f4d3c2b1a",
"fees": {
"deposit_fee": { "amount": "0.05", "currency": "USD" },
"total_fee_usd": "0.05"
},
"developer_fee": {
"percentage": "2.5",
"amount": "0.25",
"currency": "USD"
},
"customer_amount": {
"amount": "9.45",
"currency": "USDC"
},
"created_at": "2026-01-14T15:06:30Z",
"updated_at": "2026-01-14T15:08:15Z"
}
],
"page": 1,
"limit": 50,
"total": 1,
"total_pages": 1
}
Next Steps
Get Deposit
Get a specific deposit by ID
Deposits Concept
Learn about deposit lifecycle